<div class="centered-content">
    <div class="modal-box">
        <h1 class="title">
            Edit task
        </h1>

        <input #taskTitleInput [ngClass]="taskValid ? 'input danger' : 'input'" type="text" placeholder="Enter task name....">
        <span style="color: red; font-size: 12px;" *ngIf="taskValid">*Name is required</span>
        <br><br>
        <div class="buttons is-right">
            <button class="button" [routerLink]="['/lists', listId]">Cancel</button>
            <button class="button is-primary" (click)="updateTask(taskTitleInput.value)">Create</button>
        </div>
    </div>
</div>